[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

debuild and xauth?


 I am trying to build a package which uses python-gtk2 with debuild, 
and I get this:
 debian/rules build
./configure --prefix=/usr
loading cache ./config.cache
checking for python... yes
Checking python version >= 2.2.0... yes (2.3.3)
Traceback (most recent call last):
  File "<string>", line 3, in ?
  File "/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py", line
43, in ?    from _gtk import *
RuntimeError: could not open display
configure: error: GTK+ version >= (2,0,0) required
make: *** [build] Error 1

If I execute './configure --prefix=/usr' by hand, then everything is
fine. I am running Sid, and trying to debuild the package as a normal
user, which runs XFree86. I think it's because fakeroot, but I don't
know how to overcome this situation - googling does not give anything


Reply to: